(**********************************************************************)
(*                                                                    *)
(*                           Moca                                     *)
(*                                                                    *)
(*          Laura Lowenthal, projet Protheo, INRIA Lorraine           *)
(*                                                                    *)
(*  Copyright 2005-2007,                                              *)
(*  Institut National de Recherche en Informatique et en Automatique. *)
(*  All rights reserved.                                              *)
(*                                                                    *)
(*  This file is distributed under the terms of the Q Public License. *)
(*                                                                    *)
(**********************************************************************)

(* $Id: parsetree_utils.mli,v 1.1 2008/02/13 10:58:59 lowenthl Exp $ *)

open Parsetree
;;

val type_desc : core_type -> core_type_desc
(** Gets the description of a core type *)
;;

val change_type_desc : core_type -> core_type_desc -> core_type
(** Returns a new core type identical to the given one, except for the type *)
 (** description which has been changed as indicated *)
;;

val subst : (string * core_type) list -> core_type list -> core_type list
(** Given an association mapping variable names to core types, applies it to *)
 (** the given core type list as a substitution *)
